Run Trustpilot
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-trustpilot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business": "hubspot.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-trustpilot"
payload = { "business": "hubspot.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({business: 'hubspot.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-trustpilot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "trustpilot_business",
"business": "hubspot.com",
"human": "# Trustpilot business\n\n- **Business:** hubspot.com\n- **Proxy traffic:** 672.0 KB\n- **Name:** HubSpot\n- **Rating:** 1.5 (1169 reviews)\n- **Rating label:** Bad\n- **Claimed:** Yes\n- **Categories:** CRM Provider",
"machine": {
"business": {
"id": "551230910000ff00057e45c3",
"name": "HubSpot",
"url": "https://www.trustpilot.com/review/hubspot.com",
"website": "https://www.hubspot.com/",
"image": "https://s3-eu-west-1.amazonaws.com/tpd/logos/551230910000ff00057e45c3/0x0.png",
"categories": [
"CRM Provider"
],
"category_breadcrumb": [
"Business Services",
"Sales & Marketing",
"CRM Provider"
],
"description": "HubSpot's customer platform includes all the marketing, sales, customer service, and CRM software you need to grow your business.",
"country": "US",
"rating": 1.5,
"stars": 1.5,
"rating_label": "Bad",
"review_count": 1169,
"reviews_last_12_months": 225,
"rating_distribution": {
"1": 50.8,
"2": 6.3,
"3": 3.8,
"4": 10.2,
"5": 28.9
},
"is_claimed": true,
"claimed_since": "2025-09-26T13:46:10.000Z",
"reply_behavior": {
"reply_percentage": 0,
"average_days_to_reply": 0,
"negative_reviews_count": 200,
"negative_reviews_replied_count": 0,
"last_reply_to_negative_review": null
},
"has_recently_invited_reviewers": false,
"trust_flags": [
"No recent history of asking for reviews",
"Hasn't replied to negative reviews"
],
"similar_businesses": [
{
"id": "551bd6890000ff00057e6fe3",
"name": "Salesforce",
"url": "https://www.trustpilot.com/review/salesforce.com",
"image": "https://s3-eu-west-1.amazonaws.com/tpd/logos/551bd6890000ff00057e6fe3/0x0.png",
"rating": 1.3,
"review_count": 656
},
{
"id": "514581950000640005241c4f",
"name": "Pipedrive",
"url": "https://www.trustpilot.com/review/pipedrive.com",
"image": "https://s3-eu-west-1.amazonaws.com/tpd/logos/514581950000640005241c4f/0x0.png",
"rating": 4.4,
"review_count": 3451
},
{
"id": "48850b0500006400050302b4",
"name": "Zoho",
"url": "https://www.trustpilot.com/review/www.zoho.com",
"image": "https://s3-eu-west-1.amazonaws.com/tpd/logos/48850b0500006400050302b4/0x0.png",
"rating": 3.8,
"review_count": 6131
}
]
},
"proxy_traffic_bytes": 688169
},
"total_points": 5
}Product reviews
Run Trustpilot
Fetches a full Trustpilot business profile by domain or URL: rating breakdown, claim status, and reply behavior. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-trustpilot
Run Trustpilot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Business domain, Trustpilot review URL, or company website URL.
Response
Run completed.